## compiz 0.9.14.2%2B22.10.20220822-0ubuntu13

=== plugins/td/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (td PLUGINDEPS composite opengl cube)

=== plugins/winrules/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (winrules)

=== tests/system/CMakeLists.txt ===
add_subdirectory (xorg-gtest)
if (NOT USE_GLES)
add_subdirectory (untest)
endif ()

=== src/point/tests/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR})

add_library (compiz_point_test
             ${CMAKE_CURRENT_SOURCE_DIR}/test-point.cpp)

add_executable (compiz_test_point
                ${CMAKE_CURRENT_SOURCE_DIR}/point/src/test-point.cpp)

target_link_libraries (compiz_test_point
                       compiz_point_test
                       compiz_point 
                       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY})

compiz_discover_tests (compiz_test_point COVERAGE compiz_point)

=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu13) plucky; urgency=medium

  * No-change rebuild for Python 3.13 as the default.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 03 Jan 2025 12:03:11 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu12) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:48:15 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu11) noble; urgency=medium

  * Apply patches from debian/patches since this is not a 3.0 (quilt) package

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 03:09:58 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu10) noble; urgency=medium

  * Rename libraries for 64-bit time_t transition.  Closes: #1061901
  * debian/patches/64-bit-time-t-compat.patch: fix build with
    _TIME_BITS=64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 16 Mar 2024 01:07:26 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu9) noble; urgency=medium

  * No-change rebuild against libglib2.0-0t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Mar 2024 22:11:10 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu8) noble; urgency=medium

  * Drop toggle-shaded since it's no longer included in
    gsettings-desktop-schemas 45 (LP: #2045493)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 07 Mar 2024 15:46:39 -0500

compiz (1:0.9.14.2+22.10.20220822-0ubuntu7) noble; urgency=medium

  * No-change rebuild against libpng16-16t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 06:14:40 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu6) noble; urgency=medium

  * Adjust path for the CompizConfigPython tests (LP: #2050888)

 -- Graham Inggs <ginggs@ubuntu.com>  Tue, 23 Jan 2024 17:37:25 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu5) noble; urgency=medium

  * No-change rebuild with Python 3.12 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Fri, 19 Jan 2024 19:07:54 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu4) mantic; urgency=medium

  * Fix ftbfs by stopping forcing obsolete c++11.
  * Disable Werror.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 22 Sep 2023 00:46:09 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu3) lunar; urgency=medium

  * Rebuild against new libprotobuf32.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 09 Jan 2023 19:39:45 +0100

compiz (1:0.9.14.2+22.10.20220822-0ubuntu2) lunar; urgency=medium

  * No-change rebuild with Python 3.11 as default

 -- Graham Inggs <ginggs@ubuntu.com>  Sun, 25 Dec 2022 19:56:17 +0000

compiz (1:0.9.14.2+22.10.20220822-0ubuntu1) kinetic; urgency=medium

  * Bump upstream version number to 0.9.14.2.
  * Update translations from Launchpad.

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 22 Aug 2022 05:55:24 +0000

compiz (1:0.9.14.1+22.10.20220817-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * Set CMake policy CMP0072 to NEW behavior

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Wed, 17 Aug 2022 16:58:51 +0000

compiz (1:0.9.14.1+22.10.20220815.3-0ubuntu1) kinetic; urgency=medium

  [ Alberts Muktupāvels ]
  * gtk-window-decorator: set client type before using WnckScreen API
  * event: use correct window when deciding if it should appear focused
  * Fix build errors and warnings

 -- Dmitry Shachnev <mitya57@ubuntu.com>  Mon, 15 Aug 2022 19:45:55 +0000

## compiz 0.9.14.2%2B25.10.20250930-0ubuntu1

=== plugins/colorfilter/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (colorfilter PLUGINDEPS composite opengl)

=== plugins/freewins/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)
include (FindOpenGL)

if (OPENGL_GLU_FOUND)
compiz_plugin (freewins PLUGINDEPS composite opengl PKGDEPS cairo-xlib cairo LIBRARIES ${OPENGL_glu_LIBRARY} INCDIRS ${OPENGL_INCLUDE_DIR} LDFLAGSADD)
endif (OPENGL_GLU_FOUND)

=== plugins/grid/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

include_directories (src/grabhandler/include)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/src/grabhandler)

compiz_plugin (grid PLUGINDEPS composite opengl LIBRARIES compiz_grid_grabhandler)

add_subdirectory (src/grabhandler)

=== plugins/matecompat/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(matecompat PLUGINDEPS composite opengl)

=== plugins/neg/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (neg PLUGINDEPS composite opengl)

=== plugins/obs/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(obs PLUGINDEPS composite opengl)

=== plugins/ring/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (ring PLUGINDEPS composite opengl text)

=== tests/shared/CMakeLists.txt ===
set (GTEST_SHARED_INCLUDE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
add_subdirectory (src)

=== src/window/geometry/CMakeLists.txt ===
pkg_check_modules (
  GLIBMM
  REQUIRED
  glibmm-2.4 glib-2.0
)

INCLUDE_DIRECTORIES (  
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src
  
  ${compiz_SOURCE_DIR}/include
  ${compiz_SOURCE_DIR}/src/point/include
  ${compiz_SOURCE_DIR}/src/rect/include

  ${Boost_INCLUDE_DIRS}
  
  ${GLIBMM_INCLUDE_DIRS}
)

LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS}) 

SET ( 
  PUBLIC_HEADERS 
  ${CMAKE_CURRENT_SOURCE_DIR}/include/core/windowgeometry.h
)

SET ( 
  PRIVATE_HEADERS 
)

SET( 
  SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/src/windowgeometry.cpp
)

ADD_LIBRARY( 
  compiz_window_geometry STATIC
  
  ${SRCS}
  
  ${PUBLIC_HEADERS}
  ${PRIVATE_HEADERS}
)

IF (COMPIZ_BUILD_TESTING)
ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
ENDIF (COMPIZ_BUILD_TESTING)

SET_TARGET_PROPERTIES(
  compiz_window_geometry PROPERTIES
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
)

install (FILES ${PUBLIC_HEADERS} DESTINATION ${COMPIZ_CORE_INCLUDE_DIR})

TARGET_LINK_LIBRARIES( 
  compiz_window_geometry
  compiz_point
  compiz_rect
  
  ${GLIBMM_LIBRARIES}
)

=== tests/system/xorg-gtest/CMakeLists.txt ===
if (BUILD_XORG_GTEST)

    add_subdirectory (tests)

endif (BUILD_XORG_GTEST)

=== compizconfig/integration/gnome/gsettings/tests/CMakeLists.txt ===
include_directories (${GTEST_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/include)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared/glib)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../../mocks/libcompizconfig)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../../gsettings/tests)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../../gsettings/mocks)
include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../mocks/libcompizconfig)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../../tests/)
link_directories (${CMAKE_CURRENT_BINARY_DIR}/../src/)


add_executable (compizconfig_test_ccs_gnome_gsettings_integrated_setting
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_gnome_gsettings_integrated_setting.cpp)

target_link_libraries (compizconfig_test_ccs_gnome_gsettings_integrated_setting
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_gsettings_settings_test_env
		       compizconfig_ccs_gsettings_wrapper_mock
                       compizconfig_gnome_integration_gsettings_integrated_setting
                       compizconfig_gsettings_backend_interface)

compiz_discover_tests (compizconfig_test_ccs_gnome_gsettings_integrated_setting COVERAGE compizconfig_gnome_integration_gsettings_integrated_setting)

=== plugins/expo/src/wall_offset/tests/CMakeLists.txt ===
if (NOT GTEST_FOUND)
  message ("Google Test not found - cannot build tests!")
  set (COMPIZ_BUILD_TESTING OFF)
endif (NOT GTEST_FOUND)

include_directories (${GTEST_INCLUDE_DIRS})

link_directories (${COMPIZ_LIBRARY_DIRS})

add_executable (compiz_test_expo_wall_offset
		${CMAKE_CURRENT_SOURCE_DIR}/test-expo-wall-offset.cpp)

target_link_libraries (compiz_test_expo_wall_offset
		       compiz_expo_wall_offset
		       ${GTEST_BOTH_LIBRARIES})

compiz_discover_tests (compiz_test_expo_wall_offset COVERAGE compiz_expo_wall_offset)

## compiz 0.9.14.2+22.10.20220822-0ubuntu1

=== compizconfig/integration/gnome/tests/CMakeLists.txt ===
include_directories (${GTEST_INCLUDE_DIRS})
include_directories (${CMAKE_SOURCE_DIR}/include)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared)
include_directories (${CMAKE_SOURCE_DIR}/tests/shared/glib)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../mocks/libcompizconfig)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../gsettings/tests)
include_directories (${CMAKE_CURRENT_SOURCE_DIR}/../../../gsettings/mocks)
include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
link_directories (${CMAKE_INSTALL_PREFIX}/lib)

set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")

add_library (compizconfig_ccs_mock_gnome_integrated_setting_composition
	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_mock_gnome_integrated_setting_composition.c)

target_link_libraries (compizconfig_ccs_mock_gnome_integrated_setting_composition
		       compizconfig_ccs_integrated_setting_mock
		       compizconfig_gnome_integrated_setting
		       compizconfig)

add_executable (compizconfig_test_ccs_gnome_integration
		${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_test_ccs_gnome_integration.cpp)

target_link_libraries (compizconfig_test_ccs_gnome_integration
		       ${GTEST_BOTH_LIBRARIES}
		       ${GMOCK_LIBRARY}
		       ${GMOCK_MAIN_LIBRARY}
		       ${LIBCOMPIZCONFIG_LIBRARIES}
		       compizconfig
		       compizconfig_ccs_context_mock
		       compizconfig_ccs_backend_mock
		       compizconfig_ccs_setting_mock
		       compizconfig_ccs_plugin_mock
		       compizconfig_ccs_list_wrapper
		       compizconfig_ccs_setting_value_operators
		       compizconfig_ccs_setting_value_matcher
		       compizconfig_ccs_integrated_setting_mock
		       compizconfig_ccs_integrated_setting_factory_mock
		       compizconfig_ccs_integrated_setting_storage_mock
		       compizconfig_ccs_mock_gnome_integrated_setting_composition
		       compizconfig_gnome_integration)

compiz_discover_tests (compizconfig_test_ccs_gnome_integration
		       COVERAGE
		       compizconfig_gnome_integration
		       compizconfig_gnome_integration_constants)

## compiz 0.9.14.2+22.10.20220822-0ubuntu3

=== compizconfig/integration/gnome/CMakeLists.txt ===
add_subdirectory (gsettings)

set (_deps
     glib-2.0>=2.20.0
     gio-2.0>=2.25.0)

compiz_pkg_check_modules (COMPIZCONFIG_GNOME_INTEGRATION ${_deps})

if (COMPIZCONFIG_GNOME_INTEGRATION_FOUND)

    include_directories (${CMAKE_SOURCE_DIR}/compizconfig/libcompizconfig/include
			 ${CMAKE_SOURCE_DIR}/compizconfig/integration/gnome/include
			 ${COMPIZCONFIG_GNOME_INTEGRATION_INCLUDE_DIRS})

    link_directories (${CMAKE_BINARY_DIR}/compizconfig/libcompizconfig
		      ${COMPIZCONFIG_GNOME_INTEGRATION_LIBRARY_DIRS})

    add_library (compizconfig_gnome_integration_constants STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/src/ccs_gnome_integration_constants.c)

    add_library (compizconfig_gnome_integration STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/src/ccs_gnome_integration.c)

    target_link_libraries (compizconfig_gnome_integration
			   compizconfig_gnome_integration_constants
			   compizconfig_gnome_integrated_setting
			   compizconfig
			   ${COMPIZCONFIG_GNOME_INTEGRATION_LIBRARIES})

    add_library (compizconfig_gnome_integrated_setting STATIC
		 ${CMAKE_CURRENT_SOURCE_DIR}/src/ccs_gnome_integrated_setting.c)

    target_link_libraries (compizconfig_gnome_integrated_setting
			   compizconfig_gnome_integration_constants
			   compizconfig
			${COMPIZCONFIG_GNOME_INTEGRATION_LIBRARIES})

    if (COMPIZ_BUILD_TESTING)
	add_subdirectory (tests)
    endif (COMPIZ_BUILD_TESTING)

endif (COMPIZCONFIG_GNOME_INTEGRATION_FOUND)

## compiz 0.9.14.2+22.10.20220822-0ubuntu4

=== plugins/addhelper/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (addhelper PLUGINDEPS composite opengl)

=== plugins/resizeinfo/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (resizeinfo PLUGINDEPS opengl composite PKGDEPS pango pangocairo cairo-xlib-xrender)

=== plugins/wall/src/offset_movement/CMakeLists.txt ===
INCLUDE_DIRECTORIES (  
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src
    
  ${Boost_INCLUDE_DIRS}
  
  ${GLIBMM_INCLUDE_DIRS}
)

LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS} ${COMPIZ_LIBRARY_DIRS}) 

SET ( 
  PRIVATE_HEADERS
  ${CMAKE_CURRENT_SOURCE_DIR}/include/offset-movement.h
)

SET( 
  SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/src/offset-movement.cpp
)

ADD_LIBRARY( 
  compiz_wall_offset_movement STATIC
  
  ${SRCS}
  
  ${PRIVATE_HEADERS}
)

if (COMPIZ_BUILD_TESTING)
ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
endif (COMPIZ_BUILD_TESTING)

TARGET_LINK_LIBRARIES(
  compiz_wall_offset_movement

  compiz_rect
  compiz_region
)

## compiz 0.9.14.2+22.10.20220822-0ubuntu12

=== metadata/CMakeLists.txt ===
set (
    COMPIZ_DEFAULT_PLUGINS "core" CACHE STRING
    "Default plugins list that will be added to core metadata file"
)

find_program (XSLTPROC_EXECUTABLE xsltproc)
mark_as_advanced (FORCE XSLTPROC_EXECUTABLE)

if (XSLTPROC_EXECUTABLE)

    add_custom_command (
	OUTPUT ${compiz_BINARY_DIR}/generated/core.xml.in
	COMMAND ${XSLTPROC_EXECUTABLE}
		-o ${compiz_BINARY_DIR}/generated/core.xml.in
		--param default_plugins "\"'${COMPIZ_DEFAULT_PLUGINS}'\""
		${CMAKE_SOURCE_DIR}/xslt/default_plugins.xslt
		${CMAKE_CURRENT_SOURCE_DIR}/core.xml.in
	DEPENDS ${CMAKE_CURRENT_SOURCE_DIR}/core.xml.in
    )
    set (_core_file "${CMAKE_BINARY_DIR}/generated/core.xml.in")
else ()
    set (_core_file "${CMAKE_CURRENT_SOURCE_DIR}/core.xml.in")
endif ()

set (_xml_targets)
set (_schema_targets)

set (_core_xml_file ${CMAKE_BINARY_DIR}/generated/core.xml)
compiz_translate_xml (
    ${_core_file}
    ${_core_xml_file}
)

install (
    FILES ${_core_xml_file}
    DESTINATION ${compiz_metadatadir}
)

add_custom_target (core-xml-file ALL
    DEPENDS ${_core_xml_file}
)

set (_core_gschema_path ${CMAKE_BINARY_DIR}/generated/glib-2.0/schemas/org.compiz.core.gschema.xml)
compiz_gsettings_schema (
    compiz
    ${_core_xml_file}
    ${_core_gschema_path}
    ${datadir}/glib-2.0/schemas
)
add_custom_target (core-settings-schema ALL
    DEPENDS ${_core_gschema_path}
            core-xml-file
)

=== cmake/src/CMakeLists.txt ===
add_subdirectory (compiz)

=== compizconfig/integration/CMakeLists.txt ===
add_subdirectory (gnome)

=== compizconfig/mocks/CMakeLists.txt ===
add_subdirectory (libcompizconfig)

=== plugins/animationaddon/CMakeLists.txt ===
find_package (Compiz REQUIRED)
include (CompizPlugin)

compiz_plugin (animationaddon PLUGINDEPS composite opengl animation)

=== plugins/group/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (group PLUGINDEPS opengl composite text mousepoll PKGDEPS cairo cairo-xlib-xrender)

=== plugins/imgsvg/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

pkg_check_modules (RSVG librsvg-2.0>=2.36.2)

if (RSVG_FOUND)
    compiz_set (HAVE_RSVG_2_36_2 1)
endif (RSVG_FOUND)

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/imgsvg-config.h.in
		${CMAKE_CURRENT_BINARY_DIR}/src/imgsvg-config.h)

include_directories (${CMAKE_CURRENT_BINARY_DIR}/src)

compiz_plugin(imgsvg PLUGINDEPS composite opengl PKGDEPS cairo>=1.0 cairo-xlib librsvg-2.0>=2.14.0 LIBRARIES decoration)

=== plugins/maximumize/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (maximumize)

=== plugins/scale/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(scale PLUGINDEPS composite opengl)

=== plugins/showrepaint/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (showrepaint PLUGINDEPS composite opengl)

=== plugins/switcher/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(switcher PLUGINDEPS composite opengl compiztoolbox)

=== plugins/wallpaper/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (wallpaper PLUGINDEPS composite opengl LIBRARIES Xrender)

## compiz 0.9.14.2+22.10.20220822-0ubuntu12trisquel2

=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu12trisquel2) ecne; urgency=medium

  * Remove recomendation to use fglrx (non-free software)

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Sun, 13 Oct 2024 10:09:19 +0000

=== debian/control ===
Source: compiz
Section: x11
Priority: optional
Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
Build-Depends: cmake (>= 3.17.0),
               debhelper (>= 9~),
               dh-python,
               dh-translations,
               dpkg-dev (>= 1.22.5),
               libgtest-dev (>= 1.8.0),
               libgmock-dev (>= 1.8.0),
               intltool,
               libtool,
               pkg-config (>= 0.29.1),
               quilt (>= 0.40),
               libcairo2-dev,
               libdbus-glib-1-dev,
               libgl1-mesa-dev (>= 6.5.1) [!armhf !armel] | libgl-dev [!armhf !armel],
               libegl1-mesa-dev [armhf armel], libgles2-mesa-dev [armhf armel],
               libboost-dev,
               libboost-serialization-dev,
               libglib2.0-dev,
               libglibmm-2.4-dev,
               libgtk-3-dev,
               libice-dev (>= 1:1.0.1), 
               libmetacity-dev (>= 1:3.22.0),
               libpango1.0-dev,
               libpng-dev,
               librsvg2-dev, 
               libsm-dev (>= 1:1.0.1),
               libwnck-3-dev,
               libx11-dev,
               libxcomposite-dev (>= 1:0.3-2),
               libxext-dev,
               libxdamage-dev (>=1:1.0.3),
               libxfixes-dev (>= 1:4.0.1),
               libxi-dev,
               libxinerama-dev, 
               libxml-parser-perl,
               libxorg-gtest-dev,
               libxrandr-dev (>= 2:1.1.0.2),
               libxrender-dev (>= 1:0.9.1), 
               libxcursor-dev,
               libxml2-dev,
               libxslt1-dev,
               xsltproc,
               libstartup-notification0-dev (>= 0.7),
               x11proto-gl-dev (>= 1.4.8),
               libglu1-mesa-dev [!armhf !armel],
               libjpeg-dev,
               libnotify-dev (>= 0.7.0),
               libx11-xcb-dev,
               libprotobuf-dev,
               protobuf-compiler,
               python3-dev,
               cython3,
               gsettings-desktop-schemas-dev,
               xserver-xorg-dev (>= 0.7.0),
Standards-Version: 3.9.8
Vcs-Git: https://git.launchpad.net/~compiz-team/compiz
Vcs-Browser: https://git.launchpad.net/~compiz-team/compiz?h=master
Homepage: https://launchpad.net/compiz

Package: compiz
Architecture: all
Provides: x-window-manager
Depends: compiz-core (>= ${source:Version}),
         compiz-plugins-default (>= ${source:Version}),
         compiz-gnome,
         ${misc:Depends},
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This metapackage provides the components necessary for running compiz. It
 provides the compiz core, a set of standard plugins, a window decorator using
 the Gtk toolkit and the files necessary to integrate compiz with the GNOME
 desktop environment.

Package: compiz-core
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Recommends: compiz-plugins-default,
Provides: compiz-core-abiversion-${coreabiversion}
Replaces: compizconfig-settings-manager (<< 0.9.8)
Description: OpenGL window and compositing manager
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 Compiz combines together a window manager and a composite manager using
 OpenGL for rendering. A "window manager" allows the manipulation of the
 multiple applications and dialog windows that are presented on the screen. A
 "composite manager" allows windows and other graphics to be combined together
 to create composite images. Compiz achieves its stunning effects by doing
 both of these functions.

Package: compiz-dev
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0-dev (= ${binary:Version}),
         ${misc:Depends},
         compiz-plugins-default (= ${binary:Version}),
         libgl1-mesa-dev [!armhf !armel] | libgl-dev [!armhf !armel],
         libegl1-mesa-dev [armhf armel],
         libgles2-mesa-dev [armhf armel],
         libpng-dev,
         libxcomposite-dev (>= 1:0.3-2),
         libxfixes-dev (>=1:4.0.1),
         libxdamage-dev (>= 1:1.0.3),
         libxinerama-dev,
         libxrandr-dev (>=2:1.1.0.2),
         libxcursor-dev,
         libice-dev (>= 1:1.0.1),
         libsm-dev (>= 1:1.0.1),
         libstartup-notification0-dev (>= 0.7),
         libxslt1-dev,
         libxml2-dev,
         libx11-xcb-dev,
         libglib2.0-dev,
         libglibmm-2.4-dev,
         libgtk-3-dev,
Replaces: compiz-plugins-main-dev (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-dev (<< 1:0.9.8),
Breaks: compiz-plugins-main-dev (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
Suggests: compiz-plugins
Description: OpenGL window and compositing manager - development files
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the headers and libraries needed to compile compiz
 plugins.

Package: compiz-gnome
Architecture: any
Multi-Arch: no
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         compiz-plugins-default (= ${binary:Version}),
         gsettings-desktop-schemas,
         gnome-settings-daemon-common (>= 3.4.2-0ubuntu9),
         python3-gi
Recommends: gnome-system-monitor | mate-system-monitor,
Replaces: compiz-plugins-main (<= 1:0.9.8),
          compiz-plugins-main-default (<= 1:0.9.8),
          libcompizconfig0 (<= 1:0.9.8),
Breaks: compiz-plugins-main (<= 1:0.9.8),
        compiz-plugins-main-default (<= 1:0.9.8),
        unity (<< 7.5.0+19.04.20190208-0ubuntu1~),
Description: OpenGL window and compositing manager - GNOME window decorator
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the GNOME desktop
 environment.

Package: compiz-mate
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         compiz-gnome,
         mate-settings-daemon,
         python3
Recommends: ubuntu-mate-wallpapers-common,
Description: OpenGL window and compositing manager - MATE integration
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains files needed to integrate compiz with the MATE desktop
 environment.

Package: compiz-plugins-default
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         libdecoration0t64 (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main-default (<< 1:0.9.8),
          compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
          compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3),
Breaks: compiz-plugins-main-default (<< 1:0.9.8),
        compiz-plugins (<< 1:0.9.12.1+15.10.20150724),
        compiz-core (<< 1:0.9.4+bzr20110606-0ubuntu3),
Description: OpenGL window and compositing manager - default plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the default set of core Compiz plugins.

Package: compiz-plugins
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: compiz-core (= ${binary:Version}),
         compiz-plugins-default (= ${binary:Version}),
         ${shlibs:Depends},
         ${misc:Depends},
Replaces: compiz-plugins-main (<< 1:0.9.8),
          compiz-plugins-extra (<< 1:0.9.8),
          compiz-plugins-main-default (<< 1:0.9.8),
          compiz-core (<< 1:0.9.11+14.10.20140606),
Breaks: compiz-plugins-main (<< 1:0.9.8),
        compiz-plugins-extra (<< 1:0.9.8),
        compiz-core (<< 1:0.9.11+14.10.20140606),
Description: OpenGL window and compositing manager - plugins
 Compiz brings to life a variety of visual effects that make the Linux desktop
 easier to use, more powerful and intuitive, and more accessible for users
 with special needs.
 .
 This package contains the plugins that come with compiz but not officially
 supported.

Package: libdecoration0t64
Provides: ${t64:Provides}
Replaces: libdecoration0
Breaks: libdecoration0 (<< ${source:Version})
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
Description: Compiz window decoration library
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.

Package: libdecoration0-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: libdecoration0t64 (= ${binary:Version}),
         ${misc:Depends},
         libx11-dev,
         libxrender-dev (>= 1:0.9.1),
Description: Compiz window decoration library - development files
 The window decoration library is responsible for drawing the window borders
 and title bar of windows managed by Compiz. It is used by window decorators
 like gtk-window-decorator.
 .
 This package contains files required for developing window decorators
 compatible with Compiz.

Package: libcompizconfig0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         compiz-core (= ${binary:Version}),
Description: Settings library for plugins - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the library for plugins to configure settings.

Package: libcompizconfig0-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         libcompizconfig0 (= ${binary:Version}),
         compiz-dev,
Description: Development file for plugin settings - OpenCompositing Project
 The OpenCompositing Project brings 3D desktop visual effects that improve
 usability of the X Window System and provide increased productivity
 through plugins and themes contributed by the community giving a
 rich desktop experience.
 .
 This package contains the headers and development files needed to
 build plugins with settings support.

Package: python3-compizconfig
Architecture: any
Multi-Arch: same
Section: python
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${python3:Depends}, ${shlibs:Depends}
Provides: ${python3:Provides}
Description: Compizconfig bindings for Python
 Compiz Fusion is the result of the re-unification of the Beryl-project
 and the community around the Compiz Window Manager. It seeks to provide
 an easy and fun-to-use windowing environment, allowing use of the
 graphics hardware to provide impressive effects, amazing speed and
 unrivalled usefulness
 .
 This package provides Python bindings for the compizconfig system.

Package: compizconfig-settings-manager
Architecture: all
Multi-Arch: allowed

## compiz 0.9.14.2+22.10.20220822-0ubuntu13

=== CMakeLists.txt ===
#
# Main CMakeLists.txt for compiz
#
project (compiz C CXX)

cmake_minimum_required (VERSION 3.17.0)

if (POLICY CMP0072)
    cmake_policy (SET CMP0072 NEW)
endif ()

if (POLICY CMP0077)
    cmake_policy (SET CMP0077 NEW)
endif ()

if (POLICY CMP0121)
    cmake_policy (SET CMP0121 NEW)
endif ()

set (CMAKE_MODULE_PATH_ORIG ${CMAKE_MODULE_PATH})
set (COMPIZ_CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR}/cmake)
set (CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${COMPIZ_CMAKE_MODULE_PATH})

include (CTest)
include (GNUInstallDirs)

set (MEMORYCHECK_COMMAND_OPTIONS --trace-children=yes)
set (MEMORYCHECK_SUPPRESSIONS_FILE ${CMAKE_SOURCE_DIR}/tests/experimental-memcheck/compiz.supp CACHE FILEPATH "" FORCE)

include (Dart)

# Common compiz CMake macros & functions.
include (CompizCommon)
# Packaging-specific CMake macros & functions.
include (CompizPackage)

# GSettings schema recompilation
include (CompizGSettings)

# Google Test and Xorg-GTest
include (XorgGTest)

include (cmake/base.cmake)
# Check if specific function is present in library.
include (CheckFunctionExists)

enable_testing()

# Import macro for doing coverage reporting
include(EnableCoverageReport)

#####################################################################
# Enable code coverage calculation with gcov/gcovr/lcov
# Usage:
#  * Switch build type to coverage (use ccmake or cmake-gui)
#  * Invoke make, make test, make coverage
#  * Find html report in subdir coveragereport
#  * Find xml report feasible for jenkins in coverage.xml
#####################################################################
IF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])
  SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_MODULE_LINKER_FLAGS "${CMAKE_MODULE_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
  SET(CMAKE_SHARED_LINKER_FLAGS "${CMAKE_SHARED_LINKER_FLAGS} -ftest-coverage -fprofile-arcs" )
ENDIF(CMAKE_BUILD_TYPE MATCHES [cC][oO][vV][eE][rR][aA][gG][eE])

#set (CMAKE_CONFIGURATION_TYPES "Debug;Release;RelWithDebInfo;MinSizeRe" CACHE INTERNAL "" FORCE)
#if (NOT CMAKE_BUILD_TYPE)
#    set (CMAKE_BUILD_TYPE "Debug" CACHE STRING "Build type (Debug/Release/RelWithDebInfo/MinSizeRe)" FORCE)
#endif (NOT CMAKE_BUILD_TYPE)

file (READ ${CMAKE_SOURCE_DIR}/VERSION COMPIZ_RELEASE_VERSION LIMIT 12 OFFSET 0)
string (STRIP ${COMPIZ_RELEASE_VERSION} COMPIZ_RELEASE_VERSION)

set (VERSION ${COMPIZ_RELEASE_VERSION})

set (DECOR_INTERFACE_VERSION 20110504)

if (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                   CACHE PATH "prefix")
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin          CACHE PATH "bindir")
    set (libdir ${CMAKE_INSTALL_FULL_LIBDIR}              CACHE PATH "libdir")
    set (includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR}      CACHE PATH "includedir")
    set (datadir ${CMAKE_INSTALL_FULL_DATAROOTDIR}        CACHE PATH "datadir")
else (COMPIZ_PACKAGING_ENABLED)
    set (prefix ${CMAKE_INSTALL_PREFIX}                 )
    set (exec_prefix ${CMAKE_INSTALL_PREFIX}/bin        )
    set (libdir ${CMAKE_INSTALL_FULL_LIBDIR}            )
    set (includedir ${CMAKE_INSTALL_FULL_INCLUDEDIR}    )
    set (datadir ${CMAKE_INSTALL_FULL_DATAROOTDIR}      )
endif (COMPIZ_PACKAGING_ENABLED)

set (compiz_plugindir ${libdir}/compiz)
set (compiz_sharedir ${datadir}/compiz/)
set (compiz_metadatadir ${datadir}/compiz)
set (COMPIZ_I18N_DIR ${CMAKE_SOURCE_DIR}/po)

# Force re-generation of uninstall script
compiz_set (_compiz_uninstall_rule_created FALSE)

# Don't allow subdirectories to add schema recompile rule
set_property (GLOBAL
	      PROPERTY GSETTINGS_LOCAL_COMPILE_INHIBIT_RULE
	      TRUE)
set_property (GLOBAL
	      PROPERTY COMPIZ_INHIBIT_ADD_INSTALL_RECOMPILE_RULE
	      TRUE)

# Translation
set (ALL_LINGUAS ace af am ar as ast az be bg bn_IN bn br bs ca ce cs cy da de el en_AU en_CA en_GB eo es et eu fa fil fi fr fy gl gu he hi hr hu id is it ja jv kab ka km kn ko ku ky lo lt lv mk ml mn mr ms my nb nds ne nl nn oc or pa pl pt_BR pt ro ru si sk sl sq sr sv ta te th tr ug uk vi xh zh_CN zh_HK zh_TW zu)
set (GETTEXT_PACKAGE compiz)

set (COMPIZ_REQUIRES
    x11
    xext
    xdamage
    xcomposite
    xcursor
    x11-xcb
    xrandr
    xinerama
    xi
    ice
    sm
    libxml-2.0
    libxslt
    glib-2.0
    gio-2.0
    glibmm-2.4
    "libstartup-notification-1.0 >= 0.7"
)

set (DECORATION_REQUIRES "xrender >= 0.9.3")

compiz_pkg_check_modules (COMPIZ REQUIRED ${COMPIZ_REQUIRES})
compiz_pkg_check_modules (LIBDECORATION REQUIRED ${DECORATION_REQUIRES})

include (CompizDefaults)

set (_compiz_package_string "Compiz ${VERSION}")
set (_compiz_package "Compiz")

compiz_configure_file (${compiz_SOURCE_DIR}/config.h.core.in ${compiz_BINARY_DIR}/generated/config.h)

compiz_configure_file (
    ${CMAKE_SOURCE_DIR}/compiz.pc.in
    ${CMAKE_BINARY_DIR}/compiz.pc
    COMPIZ_REQUIRES
    COMPIZ_CFLAGS
)

install (
    FILES ${CMAKE_BINARY_DIR}/compiz.pc
    DESTINATION ${libdir}/pkgconfig
)

set (COMPIZ_INTERNAL_INCLUDES
    ${CMAKE_CURRENT_SOURCE_DIR}/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src
    ${CMAKE_CURRENT_SOURCE_DIR}/src/timer/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/string/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/pluginclasshandler/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/point/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/rect/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/servergrab/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/region/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/geometry/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/geometry-saver/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/extents/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/window/constrainment/include
    ${CMAKE_CURRENT_SOURCE_DIR}/src/logmessage/include)

if (COMPIZ_BUILD_TESTING)

    include (GoogleTest)

    if (GOOGLE_TEST_AND_MOCK_FOUND)

	if (BUILD_XORG_GTEST)

	    find_package (XorgGTest)

	    set (COMPIZ_XORG_GTEST_DIR ${CMAKE_BINARY_DIR}/__xorg_gtest CACHE PATH "Path to Xorg GTest build dir" FORCE)
	    set (COMPIZ_XORG_GTEST_WRAPPER ${COMPIZ_XORG_GTEST_DIR}/xorg_gtest_wrapper CACHE PATH "Path to Xorg GTest wrapper" FORCE)

	    if (XORG_GTEST_FOUND)

		build_xorg_gtest_locally (${CMAKE_BINARY_DIR}/__xorg_gtest)

	    else (XORG_GTEST_FOUND)

		set (BUILD_XORG_GTEST FALSE)

	    endif (XORG_GTEST_FOUND)

	endif (BUILD_XORG_GTEST)

    else (GOOGLE_TEST_AND_MOCK_FOUND)

	set (COMPIZ_BUILD_TESTING OFF CACHE BOOL "" FORCE)
	set (BUILD_XORG_GTEST OFF CACHE BOOL "" FORCE)

    endif (GOOGLE_TEST_AND_MOCK_FOUND)

else (COMPIZ_BUILD_TESTING)

    set (BUILD_XORG_GTEST OFF CACHE BOOL "" FORCE)

endif (COMPIZ_BUILD_TESTING)

# Add the rest of compiz
add_subdirectory (cmake)
add_subdirectory (include)
add_subdirectory (images)
add_subdirectory (libdecoration)
add_subdirectory (gtk)
add_subdirectory (po)
add_subdirectory (metadata)
add_subdirectory (src)
add_subdirectory (compizconfig)
add_subdirectory (xslt)
add_subdirectory (plugins)
add_subdirectory (tests)

# Leave last - the cmake_install.cmake script is guaranteed
# to run in a single job, and we need to force GSettings
# schema recompilation to happen after all other install
# targets (there is no way to set install target dependencies)
# in CMake
add_subdirectory (postinst)

compiz_ensure_linkage ()
compiz_package_generation ("Compiz")
compiz_add_uninstall ()
compiz_add_git_dist ()
compiz_add_distcheck ()
compiz_add_release ()
compiz_add_release_signoff ()

if (COMPIZ_BUILD_TESTING)
    compiz_generate_testfile_target ()
endif (COMPIZ_BUILD_TESTING)

_print_configure_results ()

_check_compiz_cmake_macro (${CMAKE_MODULE_PATH_ORIG})

# Enable coverage reporting for compiz
compiz_generate_coverage_report()

=== compizconfig/ccsm/Makefile ===
all:
	@python setup.py build --prefix=${PREFIX}

install: all
	@python setup.py install --prefix=${PREFIX}

uninstall:
	@python setup.py uninstall --prefix=${PREFIX}

clean:
	rm -rf build/

=== plugins/blur/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

find_package (OpenGL)

if (OPENGL_GLU_FOUND)
    compiz_plugin(blur PLUGINDEPS composite opengl LIBRARIES decoration ${OPENGL_glu_LIBRARY} INCDIRS ${OPENGL_INCLUDE_DIR})

    if (COMPIZ_BUILD_WITH_RPATH AND NOT COMPIZ_DISABLE_PLUGIN_BLUR)
	set_target_properties (
	    blur PROPERTIES
	    INSTALL_RPATH "${COMPIZ_LIBDIR}"
	)
    endif (COMPIZ_BUILD_WITH_RPATH AND NOT COMPIZ_DISABLE_PLUGIN_BLUR)
endif ()

=== plugins/clone/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (clone PLUGINDEPS composite opengl)

=== plugins/gnomecompat/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin(gnomecompat PLUGINDEPS composite opengl)

=== plugins/put/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (put PLUGINDEPS composite opengl)

=== plugins/reflex/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (reflex PLUGINDEPS composite opengl)

=== plugins/trailfocus/CMakeLists.txt ===
find_package (Compiz REQUIRED)

include (CompizPlugin)

compiz_plugin (trailfocus PLUGINDEPS composite opengl)

=== src/rect/CMakeLists.txt ===
pkg_check_modules (
  GLIBMM
  REQUIRED
  glibmm-2.4 glib-2.0
)

INCLUDE_DIRECTORIES (  
  ${CMAKE_CURRENT_SOURCE_DIR}/include
  ${CMAKE_CURRENT_SOURCE_DIR}/src

  ${compiz_SOURCE_DIR}/src/point/include
  ${compiz_SOURCE_DIR}/include
    
  ${Boost_INCLUDE_DIRS}
  
  ${GLIBMM_INCLUDE_DIRS}
)

LINK_DIRECTORIES (${GLIBMM_LIBRARY_DIRS}) 

SET ( 
  PUBLIC_HEADERS 
  ${CMAKE_CURRENT_SOURCE_DIR}/include/core/rect.h
)

SET ( 
  PRIVATE_HEADERS 
)

SET( 
  SRCS 
  ${CMAKE_CURRENT_SOURCE_DIR}/src/rect.cpp
)

ADD_LIBRARY( 
  compiz_rect STATIC
  
  ${SRCS}
  
  ${PUBLIC_HEADERS}
  ${PRIVATE_HEADERS}
)

IF (COMPIZ_BUILD_TESTING)
ADD_SUBDIRECTORY( ${CMAKE_CURRENT_SOURCE_DIR}/tests )
ENDIF (COMPIZ_BUILD_TESTING)

SET_TARGET_PROPERTIES(
  compiz_rect PROPERTIES
  PUBLIC_HEADER "${PUBLIC_HEADERS}"
)

install (FILES ${PUBLIC_HEADERS} DESTINATION ${COMPIZ_CORE_INCLUDE_DIR})

TARGET_LINK_LIBRARIES( 
  compiz_rect
  compiz_point

  ${GLIBMM_LIBRARIES}
)

=== tests/integration/CMakeLists.txt ===
add_subdirectory (glib)

=== compizconfig/integration/gnome/tests/CMakeLists.txt ===
--- 
+++ 
@@ -8,7 +8,6 @@
 include_directories (${CMAKE_SOURCE_DIR}/compizconfig/tests)
 link_directories (${CMAKE_INSTALL_PREFIX}/lib)
 
-set (CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -std=c++11")
 
 add_library (compizconfig_ccs_mock_gnome_integrated_setting_composition
 	     ${CMAKE_CURRENT_SOURCE_DIR}/compizconfig_ccs_mock_gnome_integrated_setting_composition.c)

=== plugins/opengl/src/blacklist/CMakeLists.txt ===
if (COMPIZ_BUILD_TESTING)
add_subdirectory (tests)
endif ()

add_library (compiz_opengl_blacklist STATIC blacklist.cpp)

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,7 @@
 Source: compiz
 Section: x11
 Priority: optional
-Maintainer: Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: David Nusinow <dnusinow@debian.org>, Sean Finney <seanius@debian.org>, Cyril Brulebois <kibi@debian.org>
 Build-Depends: cmake (>= 3.17.0),

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

export COMPIZ_DEB_BUILD=1

include /usr/share/dpkg/architecture.mk

gles2_architectures := armel armhf
build_testing := OFF

ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	build_testing := ON
endif

# currently, segfault if CMAKE_BUILD_TYPE=Release
export DEB_LDFLAGS_MAINT_STRIP=-Wl,-Bsymbolic-functions

CORE_ABIVERSION := $(shell sed -rn 's/^\#define[[:space:]]+CORE_ABIVERSION[[:space:]]+//p' include/core/abiversion.h )

override_dh_auto_configure:
	# right now, xorg-gtest won't compile on arm.
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_BUILD_TESTING=$(build_testing) -DBUILD_GLES=ON -DBUILD_XORG_GTEST=OFF -DCOMPIZ_WERROR=FALSE
else
	dh_auto_configure -- -DCOMPIZ_BUILD_WITH_RPATH=FALSE -DCMAKE_BUILD_TYPE=RelWithDebInfo -DCOMPIZ_PACKAGING_ENABLED=TRUE -DCOMPIZ_DISABLE_GS_SCHEMAS_INSTALL=OFF -DCOMPIZ_BUILD_TESTING=$(build_testing) -DCOMPIZ_WERROR=FALSE
endif

override_dh_install:
	# cmake findcompiz_install use COMPIZ_DESTDIR and using COMPIZ_DESTDIR and
	# DESTDIR together is completely broken upstream
	# So, doing the same in debian/rules to find a way to install things in the
	# right place, sorry for the kittens
ifeq ($(DEB_HOST_ARCH),$(findstring $(DEB_HOST_ARCH), $(gles2_architectures)))
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	mkdir -p debian/compiz-dev$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules && cp cmake/FindOpenGLES2.cmake debian/compiz-dev$${cmake_dir}/Modules
else
	cmake_dir=`cmake --system-information 2> /dev/null | grep "^CMAKE_ROOT " | sed -e 's/.*"\(.*\)"/\1/'` && \
	mkdir -p debian/tmp$${cmake_dir}/Modules && \
	cp cmake/FindCompiz.cmake debian/tmp$${cmake_dir}/Modules
endif

	# remove .a files
	rm -f debian/tmp/usr/lib/*.a

	# remove acceptance test binary
	rm -f debian/tmp/usr/bin/compiz_autopilot_acceptance_tests

	dh_install --fail-missing

	# remove the compizconfig dev file from compiz-dev
	rm debian/compiz-dev/usr/share/compiz/cmake/LibCompizConfigCommon.cmake

override_dh_gencontrol:
	dh_gencontrol -- -Vcoreabiversion=$(CORE_ABIVERSION)

override_dh_auto_test:
	dh_auto_test --no-parallel

%:
	dh $@ --parallel --with python3,translations

## compiz 0.9.14.2+22.10.20220822-0ubuntu15

=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu15) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 26 May 2025 14:22:32 +0200

compiz (1:0.9.14.2+22.10.20220822-0ubuntu14) questing; urgency=medium

  * No-change rebuild for libxml2 soname change.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 21 May 2025 08:15:19 +0200

## compiz 0.9.14.2+22.10.20220822-0ubuntu16

=== debian/changelog ===
compiz (1:0.9.14.2+22.10.20220822-0ubuntu16) questing; urgency=medium

  * Build-depend on python3-setuptools.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 27 May 2025 18:06:22 +0200
